<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- eug-09 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
    <tr>
      <td height="196" colspan="2" background="images/00_02.jpg">
	  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="196" align="right" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-right: 20px; ">
<!-- LOGO -->
	<table width="300" height="50" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="59" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              <td width="241" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
          </table>
<!-- END LOGO -->
		  </td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td width="100%" height="37" align="center" background="images/00_05.jpg">
	  <table border="0" cellpadding="0" cellspacing="0">
        <tr>
           <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table></td>
      <td width="195" height="37" valign="top"><img src="images/00_14.jpg" width="195" height="49" alt="" /></td>
    </tr>
    <tr>
      <td height="10" background="images/00_15.jpg"><img src="images/blank.gif" width="585" height="1" alt="" /></td>
      <td><img src="images/00_19.jpg" width="195" height="10" alt="" /></td>
    </tr>
    <tr>
      <td width="100%" height="100%" valign="top"  style="padding: 20px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/00_23.jpg" width="20" height="19" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
			<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="100%" height="100%" class="pageContent" name="SB_stretch" valign="top">
				<xsl:apply-templates select="PAGE-CONTENT"/>
				</td>
			</tr>
			</table>
			<!-- END CONTENT -->
	  </td>
      <td height="250" valign="top"><table width="195" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="200" valign="top" background="images/00_26.jpg">
		  <table width="100%" height="181"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td align="right" valign="top" style="background-image: url(images/00_21.jpg);
	background-repeat: no-repeat;
	background-position: left top; ">
<!-- SUBMENU -->
	<table width="170" border="0" cellspacing="0" cellpadding="0">
              <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
              </table>
<!-- END SUBMENU -->
			  </td>
            </tr>
          </table></td>
        </tr>
        <tr>
          <td><img src="images/00_27.jpg" width="195" height="25" alt="" /></td>
        </tr>
      </table></td>
    </tr>
    <tr background="images/00_29.jpg">
      <td height="50" colspan="2"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="23" align="left" style="text-align: center;">
<!-- FOOTER -->
<div class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
		  </td>
        </tr>
      </table></td>
    </tr>
  </table>
</center>

	</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
 <td width="30" align="center"><img src="images/sub.jpg" width="13" height="13" /></td>
 <td width="130" class="asubmenu" style="font-weight:bold"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
 <td width="30" align="center"><img src="images/sub.jpg" width="13" height="13" /></td>
 <td width="130"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		    <tr>
              <td colspan="2" height="12"><img src="images/line.jpg" width="162" height="4" /></td>
            </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="20"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
