<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xeug-06 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" align="top" bgcolor="#222322" background="images/main_bg.jpg"><tr><td valign="top">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" width="637" align="center">
	<TR>
		<TD height="85" style="padding-left: 40px;">
		<!-- LOGO -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
		<!-- END LOGO -->
		</TD>
	</TR>
	<TR>
		<TD height="83" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td width="12" bgcolor="#222322"><div style="width:12px; height:1px;"><spacer type="block" width="12" height="1"/></div></td>
					<td width="100%" class="menu-bg" valign="top">
						<div style="width:100%; height:13px; background-color: #222322;"><spacer type="block" width="100%" height="13"/></div>
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" height="100%">
							<tr>
								<td width="30"></td>
								<xsl:call-template name="TOP-MENU"/>							
							</tr>
						</table>
						<!-- END MENU -->
					</td>
					<td width="61" style="background-image: url('images/menu_rbg.gif'); background-repeat: no-repeat;"><div style="width:61px; height:1px;"><spacer type="block" width="61" height="1"/></div></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="223" style="background-color:  #ffffff; background-image:  url('images/header.jpg'); background-position: center center; background-repeat: no-repeat;">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
			<tr>
				<td width="12" bgcolor="#222322"><div style="width:12px; height:1px;"><spacer type="block" width="12" height="1"/></div></td>
				<td width="100%"></td>
				<td width="12" bgcolor="#222322"><div style="width:12px; height:1px;"><spacer type="block" width="12" height="1"/></div></td>
			</tr>
		</table>
		</TD>
	</TR>
	<TR>
		<TD valign="top" height="100%" bgcolor="#ffffff">
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td width="200" valign="top" style="background-image: url('images/shadow_h.gif'); background-repeat: repeat-y;">
						<div style="width:200px; height:1px;"><spacer type="block" width="200" height="1"/></div>
						<table cellpadding="0" cellspacing="0" border="0" width="100%" bgcolor="#F5F5CA">
							<tr><td height="40" align="center" style="padding-left: 10px;"><img src="images/submenu_tbullet.gif" border="0"/></td></tr>
							<tr>
								<td valign="top">
								<!-- SUBMENU -->
								<table cellpadding="0" cellspacing="0" width="160" align="center">
									<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									<tr><td colspan="2" height="10"></td></tr>
								</table>	
								<!-- END SUBMENU -->
								</td>
							</tr>
							<tr>
								<td height="28"><img src="images/submenu_bbg.gif" border="0"/></td>
							</tr>
						</table>
					</td>
					<td width="30"><div style="width:30px; height:1px;"><spacer type="block" width="30" height="1"/></div></td>
					<td width="100%" style="padding-right: 20px;">
					<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr><td height="10"></td></tr>	
							<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
							<tr><td height="20"></td></tr>
							<tr>
								<td class="pageContent" name="SB_stretch" valign="top">
									<xsl:apply-templates select="PAGE-CONTENT"/>
								</td>
							</tr>
						</table>
					<!-- END CONTENT -->					
					</td>
					<td width="12" bgcolor="#222322"><div style="width:12px; height:1px;"><spacer type="block" width="12" height="1"/></div></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="25" bgcolor="#ffffff">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
			<tr>
				<td width="12" bgcolor="#222322"><div style="width:12px; height:1px;"><spacer type="block" width="12" height="1"/></div></td>
				<td width="100%"></td>
				<td width="12" bgcolor="#222322"><div style="width:12px; height:1px;"><spacer type="block" width="12" height="1"/></div></td>
			</tr>
		</table>
		</TD>
	</TR>
	<TR>
		<TD height="56" style="background-image: url('images/shadow_h.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="320" height="55" align="right">
				<tr>
					<td colspan="2" height="3" bgcolor="#E0E0B9"></td>
					<td width="30" style="background-image: url('images/shadow_h.gif'); background-repeat: repeat-x;"><div style="width:30px; height:1px;"><spacer type="block" width="30" height="1"/></div></td>
				</tr>
				<tr> 
					<td height="52" bgcolor="#F5F5CA" width="100%" align="center" class="footer" style="padding-left: 20px;">
						<!-- FOOTER -->
							<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
					<td style="background-image: url('images/footer_bg.gif'); background-position: bottom right; background-repeat: no-repeat;"><div style="width:25px; height:52px;"><spacer type="block" width="25" height="52"/></div></td>
					<td></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="40"></TD></TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>						
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td style="padding-left: 7px" height="25" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td align="right" style="padding-right: 7px"><img src="images/submenu_bullet.gif" border="0"/></td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 7px" height="25"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-right: 7px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td class="bottommenuitemactive"><a href="{@HREF}" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td class="bottommenuitem"><a href="{@HREF}" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  			<td class="bottommenudivider"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
